Bug 72617 - hwbrowser fails with traceback.
hwbrowser fails with traceback.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: hwbrowser (Show other bugs)
null
All Linux
medium Severity high
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-26 01:27 EDT by Shane R. Stixrud
Modified: 2013-04-02 00:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-26 01:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from rawhide version of hwbrowser (7.29 KB, text/plain)
2002-09-14 09:47 EDT, Robert P. J. Day
no flags Details

  None (edit)
Description Shane R. Stixrud 2002-08-26 01:27:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
hwbrowser fails to load and reports the following error:

Traceback (most recent call last):
  File "/usr/share/hwbrowser/DeviceList.py", line 163, in ?
    setup_ui ()
  File "/usr/share/hwbrowser/DeviceList.py", line 156, in setup_ui
    DeviceDisk.initialize (xml, hardware)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 485, in initialize
    populate (tree_view, disks, graph)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 379, in populate
    raise RuntimeError, ("can't handle more than "
RuntimeError: can't handle more than one extended partition per disk

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open terminal
2.run hwbroswer

It reports:

Traceback (most recent call last):
  File "/usr/share/hwbrowser/DeviceList.py", line 163, in ?
    setup_ui ()
  File "/usr/share/hwbrowser/DeviceList.py", line 156, in setup_ui
    DeviceDisk.initialize (xml, hardware)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 485, in initialize
    populate (tree_view, disks, graph)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 379, in populate
    raise RuntimeError, ("can't handle more than "
RuntimeError: can't handle more than one extended partition per disk
	

Actual Results:  Traceback (most recent call last):
  File "/usr/share/hwbrowser/DeviceList.py", line 163, in ?
    setup_ui ()
  File "/usr/share/hwbrowser/DeviceList.py", line 156, in setup_ui
    DeviceDisk.initialize (xml, hardware)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 485, in initialize
    populate (tree_view, disks, graph)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 379, in populate
    raise RuntimeError, ("can't handle more than "
RuntimeError: can't handle more than one extended partition per disk

Expected Results:  For it to start up.

Additional info:
Comment 1 Jonathan Blandford 2002-09-12 15:57:17 EDT
Fixed in the latest version.
Comment 2 Robert P. J. Day 2002-09-13 20:24:07 EDT
  i just downloaded the alleged rawhide version of hwbrowser through
rpmfind.net, and it still generates numerous python tracebacks.
is there some other trick to this?
Comment 3 Robert P. J. Day 2002-09-14 09:47:55 EDT
Created attachment 76145 [details]
output from rawhide version of hwbrowser
Comment 4 Michael Young 2002-09-15 06:48:10 EDT
"the latest version" probably means the one that will ship with 8.0, and it may
not be publicly available before then, though you could try up2date/the null
channel on the rhn website; some packages there are more recent than those in
the public version of rawhide.

Note You need to log in before you can comment on or make changes to this bug.